View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005245VTK(No Category)public2007-06-27 11:222013-04-05 20:18
ReporterPatrick Emond 
Assigned ToDavid Cole 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005245: vtkXYPlotActor range calculated incorrectly
DescriptionIf vtkXYPlotActor::SetAdjustXLabels( 0 ) is called the vtkAxisActor2D objects scale smoothly (Axes display with no adjustments) but opaque geometry is still rendered using adjusted ranges.

I've attached a patch file as my suggested solution.
TagsNo tags attached.
Project
Type
Attached Filespatch file icon incorrect_range_vtkXYPlotActor.patch [^] (6,706 bytes) 1969-12-31 19:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0011558)
Patrick Emond (reporter)
2008-04-26 00:27

As far as I can tell the suggested solution fixes this bug without any problems. I'm hoping to have this changed committed, is there a problem with it?
(0015567)
David Cole (developer)
2009-03-05 12:44

Fixed in CVS HEAD:

cvs commit -m "BUG: Fix issue 0005245. Calculate vtkXYPlotActor range correctly. Thanks to Patrick Demond for the patch."

/cvsroot/VTK/VTK/Hybrid/vtkXYPlotActor.cxx,v <-- vtkXYPlotActor.cxx
new revision: 1.69; previous revision: 1.68
/cvsroot/VTK/VTK/Hybrid/vtkXYPlotActor.h,v <-- vtkXYPlotActor.h
new revision: 1.35; previous revision: 1.34

- Issue History
Date Modified Username Field Change
2008-04-26 00:27 Patrick Emond Note Added: 0011558
2009-03-05 11:47 David Cole Assigned To Will Schroeder => David Cole
2009-03-05 12:44 David Cole Note Added: 0015567
2009-03-05 12:44 David Cole Status tabled => @80@
2009-03-05 12:44 David Cole Resolution open => fixed
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2013-04-05 20:18 Berk Geveci Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker